declare module 'vue' {
  export interface GlobalComponents {
    Icon: (typeof import('@common/src/components/Icon/index'))['Icon']
    Permission: (typeof import('@common/src/components/Permission/index'))['Permission']
    BaseButton: (typeof import('@common/src/components/Button/index'))['BaseButton']
    BackButton: (typeof import('@common/src/business-components/BackButton.vue'))['BackButton']
  }
}

export {}

declare global {
  const BaseButton: typeof import('@common/src/components/Button/index').BaseButton
  const BackButton: typeof import('@common/src/business-components/BackButton.vue').BackButton
}
